Chromium Code Reviews
Help | Chromium Project | Sign in
(4)

Issue 11363191: Cache more GL state both service and client side. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 4 months ago by greggman
Modified:
2 years, 4 months ago
CC:
chromium-reviews, apatrick_chromium
Base URL:
http://git.chromium.org/chromium/src.git@master
Visibility:
Public.

Description

Cache more GL state both service and client side. BUG=160370 Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=167613

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Patch Set 4 : #

Patch Set 5 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+1493 lines, -1019 lines) Patch
M gpu/command_buffer/build_gles2_cmd_buffer.py View 1 19 chunks +240 lines, -82 lines 0 comments Download
A gpu/command_buffer/client/client_context_state.h View 1 chunk +39 lines, -0 lines 0 comments Download
A + gpu/command_buffer/client/client_context_state.cc View 1 chunk +13 lines, -10 lines 0 comments Download
A gpu/command_buffer/client/client_context_state_autogen.h View 1 chunk +27 lines, -0 lines 0 comments Download
A gpu/command_buffer/client/client_context_state_impl_autogen.h View 1 1 chunk +123 lines, -0 lines 0 comments Download
M gpu/command_buffer/client/gles2_implementation.h View 6 chunks +13 lines, -33 lines 0 comments Download
M gpu/command_buffer/client/gles2_implementation.cc View 1 12 chunks +100 lines, -111 lines 0 comments Download
M gpu/command_buffer/client/gles2_implementation_impl_autogen.h View 6 chunks +15 lines, -16 lines 0 comments Download
M gpu/command_buffer/client/gles2_implementation_unittest.cc View 1 2 3 4 3 chunks +38 lines, -5 lines 0 comments Download
M gpu/command_buffer/client/gles2_implementation_unittest_autogen.h View 11 chunks +23 lines, -30 lines 0 comments Download
M gpu/command_buffer/service/context_state.h View 1 chunk +7 lines, -0 lines 0 comments Download
M gpu/command_buffer/service/context_state_impl_autogen.h View 1 chunk +626 lines, -0 lines 0 comments Download
M gpu/command_buffer/service/gles2_cmd_decoder.cc View 1 2 7 chunks +9 lines, -8 lines 0 comments Download
M gpu/command_buffer/service/gles2_cmd_decoder_autogen.h View 20 chunks +201 lines, -707 lines 0 comments Download
M gpu/command_buffer/service/gles2_cmd_decoder_unittest.cc View 1 chunk +0 lines, -3 lines 0 comments Download
M gpu/command_buffer/service/gles2_cmd_decoder_unittest_1_autogen.h View 5 chunks +8 lines, -8 lines 0 comments Download
M gpu/command_buffer/service/gles2_cmd_decoder_unittest_2_autogen.h View 2 chunks +6 lines, -6 lines 0 comments Download
M gpu/gpu_common.gypi View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
M ppapi/native_client/src/shared/ppapi_proxy/ppapi_proxy_untrusted.gyp View 1 chunk +1 line, -0 lines 0 comments Download
Commit: CQ not working?

Messages

Total messages: 10 (0 generated)
greggman
Hey Al, PTAL Hey Brett, can you please bless the ppapi file change? Thank you
2 years, 4 months ago (2012-11-12 07:46:49 UTC) #1
brettw
ppapi/ lgtm, I didn't look at the rest.
2 years, 4 months ago (2012-11-13 19:20:23 UTC) #2
apatrick_chromium
lgtm
2 years, 4 months ago (2012-11-13 20:22:14 UTC) #3
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/gman@chromium.org/11363191/2001
2 years, 4 months ago (2012-11-14 01:32:03 UTC) #4
I haz the power (commit-bot)
Retried try job too often for step(s) compile
2 years, 4 months ago (2012-11-14 01:59:44 UTC) #5
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/gman@chromium.org/11363191/25
2 years, 4 months ago (2012-11-14 02:55:57 UTC) #6
I haz the power (commit-bot)
Retried try job too often for step(s) base_unittests, browser_tests, cacheinvalidation_unittests, check_deps, chrome_frame_net_tests, chrome_frame_unittests, content_browsertests, content_unittests, ...
2 years, 4 months ago (2012-11-14 03:17:48 UTC) #7
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/gman@chromium.org/11363191/2009
2 years, 4 months ago (2012-11-14 03:34:10 UTC) #8
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/gman@chromium.org/11363191/5008
2 years, 4 months ago (2012-11-14 03:59:56 UTC) #9
I haz the power (commit-bot)
2 years, 4 months ago (2012-11-14 06:39:52 UTC) #10
Change committed as 167613
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ecdb341-tainted